import { createApp } from 'vue'
import App from './App.vue'
import Router from './router'

// Import global components.
import FileSelect from '@/components/FileSelect.vue'
import WireStatistics from '@/components/WireStatistics.vue'

// Import PrimeVue dependencies.
import PrimeVue from 'primevue/config'
import Button from 'primevue/button'
import Card from 'primevue/card'
import Column from 'primevue/column'
import DataTable from 'primevue/datatable'
import InputText from 'primevue/inputtext'
import MenuBar from 'primevue/menubar'
import ProgressBar from 'primevue/progressbar'
import ProgressSpinner from 'primevue/progressspinner'
import Toast from 'primevue/toast'
import ToastService from 'primevue/toastservice'
import 'primeflex/primeflex.css'
import 'primeicons/primeicons.css'
import 'primevue/resources/primevue.min.css'
import 'primevue/resources/themes/bootstrap4-light-blue/theme.css'

const app = createApp(App)

app.use(Router)
app.use(PrimeVue)
app.use(ToastService)

// Register PrimeVue components.
app.component('Button', Button)
app.component('Card', Card)
app.component('Column', Column)
app.component('DataTable', DataTable)
app.component('InputText', InputText)
app.component('MenuBar', MenuBar)
app.component('ProgressBar', ProgressBar)
app.component('ProgressSpinner', ProgressSpinner)
app.component('Toast', Toast)

// Register VCinemaApp components.
app.component('FileSelect', FileSelect)
app.component('WireStatistics', WireStatistics)

app.provide('trackers', [
  'wss://tracker.btorrent.xyz',
  'wss://tracker.openwebtorrent.com',
  'wss://tracker.fastcast.nz',
  'wss://tracker.sloppyta.co:443/announce',
  'wss://tracker.files.fm:7073/announce',
  'wss://open.tube:443/tracker/socket',
  'wss://hub.bugout.link:443/announce',
  'ws://tracker.sloppyta.co:80/announce',
  'ws://tracker.lab.vvc.niif.hu:80/announce',
  'ws://tracker.files.fm:7072/announce',
  'ws://tracker.btsync.cf:6969/announce',
  'ws://hub.bugout.link:80/announce'
])

// Render to DOM.
app.mount('#app')
